[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Addr

Return address of a variable

## Declaration

Source position: system.fpd line 31

`function Addr(`
`X: TAnytype`
`):Pointer;`

## Description

Addr returns a pointer to its argument, which can be any type, or a function or procedure name. The returned pointer isn't typed. The same result can be obtained by the @ operator, which can return a typed pointer (see the programmer's guide).

## Errors

None

## See also

SizeOf |  | Return size of a variable or type.

## Example

    Program Example2;

    { Program to demonstrate the Addr function. }

    Const Zero : integer = 0;

    Var p : pointer;
        i : Integer;

    begin
      p:=Addr(p);     { P points to itself }
      p:=Addr(I);     { P points to I }
      p:=Addr(Zero);  { P points to 'Zero' }
    end.